Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034566
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminoralways2016-11-17 16:202017-03-28 09:38
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision4d1741a4d62d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034566: Classes implementing Process interface can not use CDI automatically

DescriptionThose classes that implement the org.openbravo.scheduling.Process interface can not use CDI automatically: tt is not possible to inject elements because they are instantiated in a non-Weld way[1].


[1] https://code.openbravo.com/erp/devel/pi/file/addd2c050ac7/src/org/openbravo/scheduling/ProcessRunner.java#l58 [^]
Steps To ReproduceIn description
Proposed SolutionInstantiate classes implementing Process using weld, in a similar way to what it is done for action handler based processes.

Attached a proposed solution to be tested in deep.
TagsNo tags attached.
Attached Filesdiff file icon 34566.diff [^] (742 bytes) 2016-11-17 16:21 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0035584 closedplatform It is not possible to use Dependency Injection using Weld in background DalBaseProcess 
related to defect 0034567 closedTriage Finance InventoryCountProcess does not support dependency injection 
related to design defect 0034174 newguillermogil Allow to use Weld on Background processes that extend from DalBaseProcess 

-  Notes
(0091845)
hgbot (developer)
2016-11-25 14:10

Repository: erp/devel/pi
Changeset: 4d1741a4d62dba5c0bed9ca3cf6dbce8f69c46c1
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Nov 25 14:05:04 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4d1741a4d62dba5c0bed9ca3cf6dbce8f69c46c1 [^]

fixes issue 34566: Classes implementing Process can not use CDI automatically

Now classes implementing org.openbravo.scheduling.Process interface are instantiated using Weld. This allows the usage of CDI with them.

---
M modules/org.openbravo.base.weld/src/META-INF/beans.xml
M src-test/src/org/openbravo/test/scheduling/ProcessSchedulingTest.java
M src/org/openbravo/scheduling/ProcessRunner.java
---
(0092303)
hgbot (developer)
2016-12-13 10:58

Repository: erp/devel/pi
Changeset: c245ed30a297e3c3d60edbe0f31990e32635defc
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Dec 13 10:58:10 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c245ed30a297e3c3d60edbe0f31990e32635defc [^]

related to issue 34566: added test case for bg process using CDI

---
M src-test/src/org/openbravo/test/scheduling/ProcessSchedulingTest.java
---
(0092304)
alostale (developer)
2016-12-13 11:01

Code reviewed

Added test case to cover this functionallity
(0092662)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092701)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-17 16:20 caristu New Issue
2016-11-17 16:20 caristu Assigned To => platform
2016-11-17 16:20 caristu Modules => Core
2016-11-17 16:20 caristu Triggers an Emergency Pack => No
2016-11-17 16:21 caristu File Added: 34566.diff
2016-11-17 16:22 caristu Proposed Solution updated
2016-11-17 16:30 JONHM Relationship added related to 0034567
2016-11-25 14:10 hgbot Checkin
2016-11-25 14:10 hgbot Note Added: 0091845
2016-11-25 14:10 hgbot Status new => resolved
2016-11-25 14:10 hgbot Resolution open => fixed
2016-11-25 14:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4d1741a4d62dba5c0bed9ca3cf6dbce8f69c46c1 [^]
2016-11-25 14:11 caristu Review Assigned To => alostale
2016-12-12 09:00 caristu Assigned To platform => caristu
2016-12-13 10:58 hgbot Checkin
2016-12-13 10:58 hgbot Note Added: 0092303
2016-12-13 11:01 alostale Note Added: 0092304
2016-12-13 11:01 alostale Status resolved => closed
2016-12-13 11:01 alostale Fixed in Version => 3.0PR17Q1
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092662
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092701
2017-03-27 08:52 dmiguelez Relationship added has duplicate 0035584
2017-03-28 09:37 caristu Relationship deleted has duplicate 0035584
2017-03-28 09:38 caristu Relationship added related to 0035584
2017-10-11 18:54 caristu Relationship added related to 0034174


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker